package com.ruoyi.system.domain.communityNews.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 未读互动接收对象
 * @Author: tjf
 * @Date: 2025/3/4 9:09
 * @Describe:
 */
public class CommentInteractionVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 目标id */
    private Long targetId;

    /** 目标类型（1：资讯评论 2：资讯点赞 3：资讯收藏 4：评论回复 5:回复点赞） */
    private String targetType;
    /**
     * 目标标题
     */
    private String targetTitle;

    /** 目标用户id */

    private Long targetUserId;
    /**
     * 操作人员id
     */
    private Long userId;

    /** 用户昵称 */

    private String nickName;

    /** 头像地址 */

    private String avatar;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 1:是新增 2：是删除
     */
    private String type;

    /** 社区资讯ID 当是点赞回复的时候有值 */
    private Long communityId;


    public Long getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Long communityId) {
        this.communityId = communityId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getTargetUserId() {
        return targetUserId;
    }

    public void setTargetUserId(Long targetUserId) {
        this.targetUserId = targetUserId;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public String getTargetTitle() {
        return targetTitle;
    }

    public void setTargetTitle(String targetTitle) {
        this.targetTitle = targetTitle;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "CommentInteractionVo{" +
                "targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", targetTitle='" + targetTitle + '\'' +
                ", targetUserId=" + targetUserId +
                ", userId=" + userId +
                ", nickName='" + nickName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", createTime=" + createTime +
                ", type='" + type + '\'' +
                ", communityId=" + communityId +
                '}';
    }
}
